Creates Freight Type
Sample request:
POST /freighttypes
{
"name": "Freight Type Name",
}
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Body
application/json
Body
Freight Type model
EmptyExample
Response
application/json
Response
Freight Type created
FreightType
Freight Type Model
Freight Type name.
>= 0 characters<= 100 characters
Freight Type Id.
Is Freight Type deleted (enabled/disabled)?.
Modified on
Headers
Body
Searches Freight Types by parameters
Searches Freight Types by parameters
Query Parameters
Freight type name.
>= 0 characters<= 100 characters
Is freight type deleted.
Freight type modified since date and time.
>= 1<= 100000
>= 1<= 2147483647
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Paging Response with Freight Types data
FreightType.PagingResponse
Freight Type Model
Show Child Parameters
Query Parameters
Headers
Deletes specific Freight Type by id
Deletes specific Freight Type by id
Path Parameters
Freight Type id
Example:10000
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
Response
Freight Type deleted
Path Parameters
Headers
Gets specific Freight Type by unique id
Gets specific Freight Type by unique id
Path Parameters
Freight Type id
Example:10000
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Returns found Freight Type
FreightType
Freight Type Model
Freight Type name.
>= 0 characters<= 100 characters
Freight Type Id.
Is Freight Type deleted (enabled/disabled)?.
Modified on
Path Parameters
Headers
Updates Freight Type
Sample request:
PUT /freighttypes
{
"name": "Freight Type Name"
}
Path Parameters
Freight Type id
Example:10000
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Body
application/json
Body
Freight Type model
EmptyExample
Response
application/json
Response
Returns updated Freight Type
FreightType
Freight Type Model
Freight Type name.
>= 0 characters<= 100 characters
Freight Type Id.
Is Freight Type deleted (enabled/disabled)?.
Modified on